package org.rcisoft.business.blesson.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class CourseView implements Serializable {

	@ApiModelProperty("课程id")
	private String businessId;

	@ApiModelProperty("课程名称")
	private String lessonName;

	@ApiModelProperty("课时数")
	private String lessonHour;

	@ApiModelProperty("学习总人数")
	private Integer totalNumber;

	@ApiModelProperty("未开始人数")
	private Integer notStart;

	@ApiModelProperty("学习中人数")
	private Integer learning;

	@ApiModelProperty("学习完成人数")
	private Integer finish;

	@ApiModelProperty("参与考核人数")
	private Integer examed;

	@ApiModelProperty("是否考核")
	private String isAppraisal;

}
