package org.rcisoft.business.blesson.util;

import org.rcisoft.business.blesson.entity.CourseView;
import org.rcisoft.business.blesson.entity.ElectiveCourses;
import org.rcisoft.business.blesson.entity.UserRoleLesson;

import java.util.*;

public class JointUtil {
	private JointUtil(){}



	public static Map<String,Boolean> duplicateRemoval(List<UserRoleLesson> listRole,
												  List<UserRoleLesson> roleLessons) {

		//创建返回对象
		Map<String,Boolean> res = new HashMap<>();


		//比较对象map集合
		Map<UserRoleLesson,Boolean> map = new HashMap();

		for (UserRoleLesson userRoleLesson : listRole) {
			map.put(userRoleLesson,true);
		}

		for (UserRoleLesson roleLesson : roleLessons) {
			map.remove(roleLesson);
		}

		Set<UserRoleLesson> keySet = map.keySet();

		for (UserRoleLesson userRoleLesson : keySet) {
			res.put(userRoleLesson.getLessonId(), true);
		}

		return res;
	}

	public static List<CourseView> joint(List<CourseView> records,
										 Map<String,Boolean> map1,
										 List<ElectiveCourses> listNotRole) {
		Map<String,ElectiveCourses> map2 = new HashMap<>();

		for (ElectiveCourses electiveCourses : listNotRole) {
			map2.put(electiveCourses.getBusinessId(),electiveCourses);
		}

		for (CourseView record : records) {
			if (map2.containsKey(record.getBusinessId())){
				ElectiveCourses electiveCourses = map2.get(record.getBusinessId());
				Integer addTotal = electiveCourses.getTotal();
//				Integer addFinish = electiveCourses.getFinish();
//				Integer addLearn = electiveCourses.getLearning();
//				record.setFinish(record.getFinish() + addFinish);
				record.setTotalNumber(record.getTotalNumber() + addTotal);
//				record.setLearning(record.getLearning() + addLearn);
			}
			if (map1.containsKey(record)){
				record.setTotalNumber(record.getTotalNumber() + 1);
			}
			if (record.getNotStart() == null){
				record.setNotStart(0);
			}
		}
		return records;
	}
}
