package org.rcisoft.business.cmsdevelopment.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import org.rcisoft.business.cmsdevelopment.entity.CmsDevelopment;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年3月25日 下午7:55:33.
 */
public interface CmsDevelopmentService {

    /**
    * 保存 发展表
    * @param cmsDevelopment
    * @return
    */
    CyPersistModel persist(CmsDevelopment cmsDevelopment);

    /**
    * 删除 发展表
    * @param cmsDevelopment
    * @return
    */
    CyPersistModel remove(CmsDevelopment cmsDevelopment);

    /**
    * 逻辑删除 发展表
    * @param cmsDevelopment
    * @return
    */
    CyPersistModel removeLogical(CmsDevelopment cmsDevelopment);

    /**
    * 修改 发展表
    * @param cmsDevelopment
    * @return
    */
    CyPersistModel merge(CmsDevelopment cmsDevelopment);

    /**
    * 根据id查询 发展表
    * @param id
    * @return
    */
    CmsDevelopment findById(int id);

    CmsDevelopment findByIdWithUrl(int id);

    /**
    * 分页查询 发展表
    * @param cmsDevelopment
    * @return
    */
    IPage<CmsDevelopment> findAllByPagination(CyPageInfo<CmsDevelopment> paginationUtility,
              CmsDevelopment cmsDevelopment);


    /**
    * 查询list 发展表
    * @param cmsDevelopment
    * @return
    */
    List<CmsDevelopment> findAll(CmsDevelopment cmsDevelopment);


    /**
    * 导出发展表
    * @return
    */
    List<CmsDevelopment> export(CmsDevelopment cmsDevelopment);

}
