package org.rcisoft.business.cmsproject.dao;


import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.cmsproject.entity.CmsProject;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年3月25日 下午5:57:59.
*/

public interface CmsProjectRepository extends CyBaseMapper<CmsProject> {


    List<CmsProject> queryCmsProjects(@Param("entity") CmsProject cmsProject);

    /**
    * 分页查询 cmsProject
    *
    */
    IPage<CmsProject> queryCmsProjectsPaged(CyPageInfo cyPageInfo,@Param("entity") CmsProject cmsProject);
//逻辑删除
    int deleteCmsProject(@Param("businessId")Integer businessId);

    //修改状态
    int updateStatus(@Param("entity") CmsProject cmsProject);
    CmsProject selectById(@Param("businessId")Integer businessId);
    //权重验重
    CmsProject checkWeight(@Param("weight")Integer weight);

}

