package org.rcisoft.business.pclessonfavorite.dao;

import org.rcisoft.business.blesson.entity.BLesson;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.business.pclessonfavorite.entity.PcLessonFavorite;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年4月12日 下午1:09:06.
*/

public interface PcLessonFavoriteRepository extends CyBaseMapper<PcLessonFavorite> {


    List<PcLessonFavorite> queryPcLessonFavorites(@Param("entity") PcLessonFavorite pcLessonFavorite);

    /**
    * 分页查询 pcLessonFavorite
    *
    */
    IPage<BLesson> queryPcLessonFavoritesPaged(CyPageInfo cyPageInfo, @Param("entity") PcLessonFavorite pcLessonFavorite);
}

