package org.rcisoft.business.pclessonlearntime.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.rcisoft.core.entity.CyIdEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.annotation.TableName;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
* Created with cy on 2024年4月13日 下午3:14:16.
*/
@Data
@TableName("pc_lesson_learntime")
public class PcLessonLearntime  extends CyIdIncreEntity<PcLessonLearntime> {

     /**
      * @desc 用户id
      * @column user_id
      * @default
      */
     @Excel(name = "用户id", orderNum = "0", width = 20)
     private String userId;

     /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
     @Excel(name = "课程id", orderNum = "0", width = 20)
     private String lessonId;

     /**
     * @desc 章节id
     * @column chapter_id
     * @default
     */
     @Excel(name = "章节id", orderNum = "1", width = 20)
     private String chapterId;

     /**
      * 资源id
      */
     @Excel(name = "资源id", orderNum = "1", width = 20)
     private String resourceId;

     /**
     * @desc 学习时长
     * @column lesson_learn_time
     * @default
     */
     @Excel(name = "学习时长", orderNum = "2", width = 20)
     private String lessonLearnTime;

     /**
     * @desc 总时长
     * @column lesson_total_time
     * @default
     */
     @Excel(name = "总时长", orderNum = "3", width = 20)
     private String lessonTotalTime;

     /**
     * @desc 待看数量
     * @column lesson_surplus_num
     * @default
     */
     @Excel(name = "待看数量", orderNum = "4", width = 20)
     private Integer lessonSurplusNum;

     /**
     * @desc 章节是否完成(0:未学完,1:学完)
     * @column complete
     * @default
     */
     @Excel(name = "是否完成(0:未学完,1:学完)", orderNum = "5", width = 20)
     private String chapterComplete;


}

