package org.rcisoft.business.postblesson.dao;

import org.rcisoft.business.postblesson.entity.PostTeaExamQuestions;
import org.rcisoft.business.teaexamquestions.entity.TeaExamQuestions;
import org.rcisoft.core.mapper.CyBaseMapper;

/**
 * @FileName PostTeaExamQuestionsRepository
 * @Description
 * @Author 牛虎林
 * @date 2024-05-15
 **/

public interface PostTeaExamQuestionsRepository extends CyBaseMapper<PostTeaExamQuestions> {


    /**
     * 查询同一课程下同一题目编号的个数
     * **/
    int queryNumbeSomeCourse(PostTeaExamQuestions teaExamQuestions);

    /**
     * 查询同一课程下同一权重的个数
     * **/
    int queryNumberSomeWeiht(PostTeaExamQuestions teaExamQuestions);

}
