package org.rcisoft.business.postblesson.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @FileName QuestionsExamination
 * @Description 查询已结束的试题
 * @Author 牛虎林
 * @date 2024-05-14
 **/
@Data
public class QuestionsExamination {


    /**
     *记录id
     */
    private Integer businessId;

    /**
     * 题目id
     */
    private String  lessonId;


    /**
     *  状态
     */
    private String status;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    /**
     * 总分数
     */
    private Integer totalScore;
}
