package org.rcisoft.business.postblesson.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
* Created with cy on 2024年3月28日 下午1:38:34.
 * @author wangFeilong
 */
@Data
public class ExcelPostTeaExamQuestionsVO  {


     /**
      * @desc 编号
      * @column number
      * @default
      */
     @Excel(name = "题目编号", orderNum = "0", width = 20)
     private String number;

     /**
      * @desc 题型
      * @column question_type
      * @default
      */
     @Excel(name = "题型", orderNum = "1", width = 20)
     private String questionType;

     /**
      * @desc 难度
      * @column difficulty
      * @default
      */
     @Excel(name = "难度", orderNum = "2", width = 20)
     private String difficulty;

     /**
      * @desc 题干
      * @column question_stem
      * @default
      */
     @Excel(name = "题干", orderNum = "3", width = 20)
     private String questionStem;

     /**
      * @desc 标准答案
      * @column answer
      * @default
      */
     @Excel(name = "标准答案", orderNum = "4", width = 20)
     private String answer;

     /**
      * @desc 分数
      * @column mark
      * @default
      */
     @Excel(name = "分数", orderNum = "5", width = 20)
     private Integer mark;

     /**
      * @desc 权重
      * @column weight
      * @default
      */
     @Excel(name = "权重", orderNum = "6", width = 20)
     private Integer weight;

     /**
      * @desc 选项A
      * @column optionA
      * @default
      */
     @Excel(name = "选项A", orderNum = "7", width = 20)
     private String optionA;
     /**
      * @desc 选项B
      * @column optionB
      * @default
      */
     @Excel(name = "选项B", orderNum = "8", width = 20)
     private String optionB;
     /**
      * @desc 选项C
      * @column optionC
      * @default
      */
     @Excel(name = "选项C", orderNum = "9", width = 20)
     private String optionC;
     /**
      * @desc 选项D
      * @column optionC
      * @default
      */
     @Excel(name = "选项D", orderNum = "10", width = 20)
     private String optionD;
     /**
      * @desc
      * @column remark
      * @default
      */
     @Excel(name = "课题描述", orderNum = "11", width = 20)
     private String remark;

}

