package org.rcisoft.business.sysContest.dao;

import org.rcisoft.business.sysContest.entity.CmsContest;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年3月25日 下午7:45:56.
*/

public interface CmsContestRepository extends CyBaseMapper<CmsContest> {


    List<CmsContest> queryCmsContests(@Param("entity") CmsContest cmsContest);

    /**
    * 分页查询 cmsContest
    *
    */
    IPage<CmsContest> queryCmsContestsPaged(CyPageInfo cyPageInfo, @Param("entity") CmsContest cmsContest);

    CmsContest findCmsContestById(String id);

    int updateCmsContestById(@Param("entity") CmsContest entity);

}

