package org.rcisoft.business.sysContest.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.sysContest.entity.CmsContest;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * Created by cy on 2024年3月25日 下午7:45:56.
 */
public interface CmsContestService {


    /**
    * 保存 
    * @param cmsContest
    * @return
    */
    CyPersistModel persist(CmsContest cmsContest);

    /**
    * 删除 
    * @param cmsContest
    * @return
    */
    CyPersistModel remove(CmsContest cmsContest);

    /**
    * 逻辑删除 
    * @param cmsContest
    * @return
    */
    CyPersistModel removeLogical(CmsContest cmsContest);

    /**
    * 修改 
    * @param cmsContest
    * @return
    */
    CyPersistModel merge(CmsContest cmsContest);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    CmsContest findById(String id);

    /**
    * 分页查询 
    * @param cmsContest
    * @return
    */
    IPage<CmsContest> findAllByPagination(CyPageInfo<CmsContest> paginationUtility,
              CmsContest cmsContest);


    /**
    * 查询list 
    * @param cmsContest
    * @return
    */
    List<CmsContest> findAll(CmsContest cmsContest);


    /**
    * 导出
    * @return
    */
    List<CmsContest> export(CmsContest cmsContest);

}
