package org.rcisoft.business.sysFeedBack.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.business.sysFeedBack.entity.*;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年3月27日 下午1:53:08.
*/

public interface CmsFeedbackRepository extends CyBaseMapper<CmsFeedback> {


    List<CmsFeedback> queryCmsFeedbacks(@Param("entity") CmsFeedback cmsFeedback);

    /**
    * 分页查询 cmsFeedback
    *
    */
    IPage<CmsFeedback> queryCmsFeedbacksPaged(CyPageInfo cyPageInfo,@Param("entity") CmsFeedback cmsFeedback);

    List<FeedBackType> queryFeedBackType();

    CmsFeedback queryById(@Param("id") Integer id);

}

