package org.rcisoft.business.sysFeedBack.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;

import java.util.Date;

/**
* Created with cy on 2024年3月27日 下午1:53:08.
*/
@Data
@TableName("cms_feedback")
public class CmsFeedback  extends CyIdIncreEntity<CmsFeedback> {



     /**
     * @desc 反馈类型
     * @column feedback_type
     * @default
     */
     @Excel(name = "反馈类型", orderNum = "0", width = 20)
     private String feedbackType;

     /**
     * @desc 标题
     * @column title
     * @default
     */
     @Excel(name = "标题", orderNum = "1", width = 20)
     private String title;

     /**
     * @desc 联系方式
     * @column contact
     * @default
     */
     @Excel(name = "联系方式", orderNum = "2", width = 20)
     private String contact;

     /**
      * @desc 提交时间
      * @column submissionTime
      * @default
      */
     @Excel(name = "提交时间", orderNum = "3", width = 20)
     private Date submissionTime;

     /**
      * @desc 详情描述
      * @column details
      * @default
      */
     @Excel(name = "详情描述", orderNum = "4", width = 20)
     private String details;

     /**
      * @desc 附件
      * @column attachment
      * @default
      */
     @Excel(name = "附件", orderNum = "5", width = 20)
     private Integer attachment;

     /**
      * @desc 附件地址
      * @column attachmentUrl
      * @default
      */
     @TableField(exist = false)
     private String attachmentUrl;

     /**
      * @desc 开始时间
      * @column beginTime
      * @default
      */
     @TableField(exist = false)
     private String beginTime;

     /**
      * @desc 结束时间
      * @column endTime
      * @default
      */
     @TableField(exist = false)
     private String endTime;

}

