package org.rcisoft.business.syscontentnewsinformation.dao;

import org.rcisoft.business.syscontentnewsinformation.entity.SysContentNewsInformation;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年3月25日 下午1:42:40.
 * @author wangFeilong
 */

public interface SysContentNewsInformationRepository extends CyBaseMapper<SysContentNewsInformation> {


    List<SysContentNewsInformation> querySysContentNewsInformations(@Param("entity") SysContentNewsInformation sysContentNewsInformation);

    /**
    * 分页查询 sysContentNewsInformation
    *
    */
    IPage<SysContentNewsInformation> querySysContentNewsInformationsPaged(CyPageInfo cyPageInfo,@Param("entity") SysContentNewsInformation sysContentNewsInformation);
    //根据id逻辑删除
    int deleteSysContentNewsInformation(@Param("businessId")Integer businessId);
    //修改状态
    int updateStatus(@Param("entity") SysContentNewsInformation sysContentNewsInformation);
    SysContentNewsInformation  selectById(@Param("businessId")Integer businessId);
    //权重验重
    SysContentNewsInformation checkWeight(@Param("weight")Integer weight);

}

