package org.rcisoft.business.sysunit.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class UnitView implements Serializable {

	@ApiModelProperty("单位ID")
	private String businessId;

	@ApiModelProperty("单位名称")
	private String unitName;

	@ApiModelProperty("学员人数")
	private String studentNumber;

	@ApiModelProperty("付费课程数")
	private String payed;

	@ApiModelProperty("试用课程数")
	private String noPay;

	@ApiModelProperty("完成必修课人次")
	private String finish;

	@ApiModelProperty("未完成必修课人次")
	private String notFinish;

	@ApiModelProperty("必修考核记录数")
	private String exam;

	@ApiModelProperty("累计学时")
	private String totalLearnTime;

	@ApiModelProperty("人均学时")
	private String averageLearnTime;

}
