package org.rcisoft.business.sysunitlesson.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Builder;
import lombok.Data;
import org.rcisoft.business.sysunitlesson.entity.SysUnitLesson;

import java.util.List;

/**
 * @Author: gy
 * @Date: 2024/3/26 16:14
 * @Description:
 */
@Data
public class OpeningCourseDto extends SysUnitLesson {

    /**
     * @description: 单位名称
     * @author: gaoyu
     * @param:
     * @return:
     **/
    private String unitName;

    /**
     * @description: 课程名称
     * @author: gaoyu
     * @param:
     * @return:
     **/
    private String lessonName;

    /**
     * @description:适用岗位
     * @author: gaoyu
     * @param:
     * @return:
     **/
    private String applyPost;

    /**
     * @description: 技术方向
     * @author: gaoyu
     * @param:
     * @return:
     **/
    private String teDirection;

    /**
     * @description: 状态
     * @author: gaoyu
     * @param:
     * @return:
     **/
    private String flag;

    @TableField(exist = false)
    private List<SysUnitLesson> settingList;
}
