package org.rcisoft.business.sysunitlesson.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年3月26日 下午4:06:16.
*/
@Data
@TableName("sys_unit_lesson")
public class SysUnitLesson {

     /**
      * @description: 主键id
      * @author: gaoyu
      * @param:
      * @return:
      **/
     private Integer businessId;

     /**
     * @desc 单位id
     * @column unit_id
     * @default
     */
     @Excel(name = "单位id", orderNum = "0", width = 20)
     private Integer unitId;

     /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
     @Excel(name = "课程id", orderNum = "1", width = 20)
     private String lessonId;

     /**
      * @desc 开始时间
      * @column lesson_id
      * @default
      */
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     @JsonFormat(pattern = "yyyy-MM-dd")
     private Date beginDate;

     /**
      * @description: 结束时间
      * @author: gaoyu
      * @param:
      * @return:
      **/

     @DateTimeFormat(pattern = "yyyy-MM-dd")
     @JsonFormat(pattern = "yyyy-MM-dd")
     private Date endDate;


}

