package org.rcisoft.business.sysuser.entity.info;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.rcisoft.pc.statistics.studentStatistics.entity.pojo.ClassTable;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class BaseUserInfoD extends BaseUserInfo implements Serializable {

	//学习类型
	private String classType;

	//课程讲师
	private String classTeacher;

	//课时
	private Integer classHour;

	//完成日期
	@JsonFormat(
			pattern = "yyyy-MM-dd"
	)
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@ApiModelProperty("完成日期")
	private LocalDateTime finishDate;

}
