package org.rcisoft.business.sysuser.enums;

import org.rcisoft.core.result.CyResExcEnum;

public enum LeaningTypeEnum {

    COMPLETED("0", "已完成"),
    inLearning("1", "学习中"),

    notStarted("2", "未开始");

    private String code;
    private String message;

    public String getCode() {
        return this.code;
    }

    public String getMessage() {
        return this.message;
    }

    private LeaningTypeEnum() {
    }

    private LeaningTypeEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
