package org.rcisoft.business.sysuser.enums;

import org.rcisoft.core.result.CyResExcEnum;

public enum PCUserInfoExceptionEnums implements CyResExcEnum {

    PHONE_NOT_EXISTS(4007, "当前手机号不存在"),
    PHONE_NOT_MATCH(4007, "手机号和当前登录人手机号不匹配"),

    PHONE_CODE_ERROR(4007, "验证码错误"),
    /**
     * 当前用户无权登录
     */
    USER_NOT_LOGINPERMISSIOR(4007, "当前用户无权登录"),

    USERNAME_NOT_EXISTS(4007, "当前用户不存在");

    private Integer code;
    private String message;

    public Integer getCode() {
        return this.code;
    }

    public String getMessage() {
        return this.message;
    }

    private PCUserInfoExceptionEnums() {
    }

    private PCUserInfoExceptionEnums(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}
