package org.rcisoft.business.sysuser.vo;

import lombok.Data;
import org.rcisoft.business.blesson.entity.BLesson;
import org.rcisoft.business.sysuser.entity.info.BaseUserInfo;
import org.rcisoft.pc.statistics.studentStatistics.entity.pojo.ClassTable;

import java.io.Serializable;
import java.util.List;

@Data
public class UserInfoVO implements Serializable {

	//总数
	private Integer total;

	//数据对象
	private List<BaseUserInfo> records;

	/**
	 * 用户id
	 */
	private String businessId;

	/**
	 * 查询类型
	 */
	private String type;

	/**
	 * 是否考试 1 : 已考试 0 : 未考试
	 */
	private String isCompleteExam;

}
