package org.rcisoft.business.teaexamoptions.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.rcisoft.core.entity.CyIdEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.annotation.TableName;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
* Created with cy on 2024年3月29日 上午9:33:36.
*/
@Data
@TableName("tea_exam_options")
public class TeaExamOptions  extends CyIdIncreEntity<TeaExamOptions> {



     /**
     * @desc 选择内容
     * @column details
     * @default 
     */
     @Excel(name = "选择内容", orderNum = "0", width = 20)
     private String details;

     /**
     * @desc 试题id
     * @column questions_id
     * @default 
     */
     @Excel(name = "试题id", orderNum = "1", width = 20)
     private Integer questionsId;

     /**
     * @desc 选项类型
     * @column type
     * @default 
     */
     @Excel(name = "选项类型", orderNum = "2", width = 20)
     private String type;


}

