package org.rcisoft.business.teaexamquestions.enums;

/**
 * 试题类型
 */
public enum QuestionTypeEnum {
    /**
     * 单选:1  SingleSelect
     * 多选:2  MultipleSelect
     * 判断:3  Judge
     * 简答:4
     */
    SINGLE_SELECT(1, "singleSelect"),
    MULTIPLE_SELECT(2, "multipleSelect"),
    JUDGE(3, "judge"),
    TEXT(4, "text");

    private Integer code;

    private String status;

    private QuestionTypeEnum(Integer code, String status) {
        this.code = code;
        this.status = status;
    }

    public Integer getCode() {
        return this.code;
    }

    public String getStatus() {
        return this.status;
    }
}
