package org.rcisoft.business.teaexamquestionsexamination.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.teaexamquestionsexamination.entity.TeaExamQuestionsExamination;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年4月18日 下午2:07:57.
 */
public interface TeaExamQuestionsExaminationService {

    /**
    * 保存 试题试卷关联表
    * @param teaExamQuestionsExamination
    * @return
    */
    CyPersistModel persist(TeaExamQuestionsExamination teaExamQuestionsExamination);

    /**
    * 删除 试题试卷关联表
    * @param teaExamQuestionsExamination
    * @return
    */
    CyPersistModel remove(TeaExamQuestionsExamination teaExamQuestionsExamination);

    /**
    * 逻辑删除 试题试卷关联表
    * @param teaExamQuestionsExamination
    * @return
    */
    CyPersistModel removeLogical(TeaExamQuestionsExamination teaExamQuestionsExamination);

    /**
    * 修改 试题试卷关联表
    * @param teaExamQuestionsExamination
    * @return
    */
    CyPersistModel merge(TeaExamQuestionsExamination teaExamQuestionsExamination);

    /**
    * 根据id查询 试题试卷关联表
    * @param id
    * @return
    */
    TeaExamQuestionsExamination findById(int id);

    /**
    * 分页查询 试题试卷关联表
    * @param teaExamQuestionsExamination
    * @return
    */
    IPage<TeaExamQuestionsExamination> findAllByPagination(CyPageInfo<TeaExamQuestionsExamination> paginationUtility,
              TeaExamQuestionsExamination teaExamQuestionsExamination);


    /**
    * 查询list 试题试卷关联表
    * @param teaExamQuestionsExamination
    * @return
    */
    List<TeaExamQuestionsExamination> findAll(TeaExamQuestionsExamination teaExamQuestionsExamination);


    /**
    * 导出试题试卷关联表
    * @return
    */
    List<TeaExamQuestionsExamination> export(TeaExamQuestionsExamination teaExamQuestionsExamination);

}
