package org.rcisoft.business.teaoperate.service;

import org.rcisoft.business.sysuser.entity.SysUser;
import org.rcisoft.business.teaoperate.dto.TeaOperateRedisResultDto;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * 运营管理Service层
 * **/
public interface TeaOperateService {

    /**
     * 根据类型所有对应的key的列表
     * **/
    public List<TeaOperateRedisResultDto>  acquireKey(String type);

    /**
     * 清空key
     * **/
    CyPersistModel clearRedisByKey(TeaOperateRedisResultDto teaOperateRedisResultDto);

    /**
     * 查询用户list集合
     * **/
    List<SysUser> queryListUserInfoByUnameOrPhone(SysUser sysUser);

}
