package org.rcisoft.openapi.api.cons;

import org.rcisoft.core.result.CyResExcEnum;

public enum OpenApiCons implements CyResExcEnum {
    /*-------------------异常状态码----------------------------------------*/
    //IP 频繁访问
    IP_FREQUENTLY_ACCESS(510, "IP 频繁访问"),
    //IP 被锁定 或 不匹配
    IP_LOCKED_OR_NOT_MATCH(510, "访问不合法"),
    //数据 解密失败 或 对比失败
    DATA_DECRYPTION_FAILED_OR_COMPARISON_FAILED(510, "参数不合法"),
    //token 失效 或 错误
    TOKEN_INVALID_OR_ERROR(510, "token失效或错误"),
    //redis 关闭停止使用
    REDIS_CLOSE_STOP_USE(510, "服务停止"),
    //当前用户信息不存在
    USER_NOT_EXIST(515, "当前用户信息不存在");







    private Integer code;
    private String message;

    private OpenApiCons() {
    }

    private OpenApiCons(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }

    @Override
    public String getMessage() {
        return this.message;
    }
}
