package org.rcisoft.openapi.api.service;

import org.rcisoft.core.result.CyResult;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@Service
@Transactional(readOnly = true, propagation = Propagation.NOT_SUPPORTED)
public interface OpenApiService {

    CyResult getToken(HttpServletRequest request, HttpServletResponse response, String sign);

    CyResult getUcode(HttpServletRequest request, HttpServletResponse response, String sign);

    CyResult login(HttpServletRequest request, HttpServletResponse response, String uc);
}
