package org.rcisoft.pc.pcgroup.dto;

import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.CyIdEntity;

/**
 * Created with cy on 2024年3月23日 上午9:54:37.
 * @author 11528
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class GroupPersonDTO extends CyIdEntity<GroupPersonDTO> {


    private static final long serialVersionUID = -4327021174023243830L;
    @ApiModelProperty(name = "小组ID")
    private String groupId;
    @ApiModelProperty(name = "登录名")
    private String username;
    @ApiModelProperty(name = "用户姓名")
    private String nickName;
    @ApiModelProperty(name = "职位")
    private String position;
    @ApiModelProperty(name = "手机号")
    private String phone;
    @ApiModelProperty(name = "小组")
    private String groupName;
    @ApiModelProperty(name = "状态")
    private String flag;
}

