package org.rcisoft.pc.pcgroup.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.CyIdEntity;

/**
 * Created with cy on 2024年3月23日 上午9:54:37.
 * @author 11528
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class GroupRecordDTO extends CyIdEntity<GroupRecordDTO> {


    private static final long serialVersionUID = -4327021174023243830L;
    @ApiModelProperty(name = "小组ID")
    private String groupId;
    @ApiModelProperty(name = "课程名称")
    private String lessonName;
    @ApiModelProperty(name = "总分")
    private String totalScore;
    @ApiModelProperty(name = "及格分数")
    private String passingGrade;
    @ApiModelProperty(name = "课程讲师")
    private String lessonTeaName;
    @ApiModelProperty(name = "登录名")
    private String username;
    @ApiModelProperty(name = "用户姓名")
    private String nickName;
    @ApiModelProperty(name = "考核成绩（分）")
    private Integer score;
}

