package org.rcisoft.pc.pcrole.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.pc.pcrole.entity.PcRole;

import java.util.List;

/**
 * Created by cy on 2024年4月9日 上午10:32:58.
 */
public interface PcRoleService {

    /**
    * 保存 前台_角色管理
    * @param pcRole
    * @return
    */
    CyPersistModel persist(PcRole pcRole);

    /**
    * 删除 前台_角色管理
    * @param pcRole
    * @return
    */
    CyPersistModel remove(PcRole pcRole);

    /**
    * 逻辑删除 前台_角色管理
    * @param pcRole
    * @return
    */
    CyPersistModel removeLogical(PcRole pcRole);

    /**
    * 修改 前台_角色管理
    * @param pcRole
    * @return
    */
    CyPersistModel merge(PcRole pcRole);

    /**
    * 根据id查询 前台_角色管理
    * @param id
    * @return
    */
    PcRole findById(int id);

    /**
    * 分页查询 前台_角色管理
    * @param pcRole
    * @return
    */
    IPage<PcRole> findAllByPagination(CyPageInfo<PcRole> paginationUtility,
              PcRole pcRole);


    /**
    * 查询list 前台_角色管理
    * @param pcRole
    * @return
    */
    List<PcRole> findAll(PcRole pcRole);


    /**
    * 导出前台_角色管理
    * @return
    */
    List<PcRole> export(PcRole pcRole);

}
