package org.rcisoft.pc.pcroleuser.dao;


import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.pc.pcrolelesson.entity.PcRoleLesson;
import org.rcisoft.pc.pcroleuser.entity.PcRoleUser;

import java.util.List;

/**
* Created with cy on 2024年4月10日 下午4:20:18.
*/

public interface PcRoleUserRepository extends CyBaseMapper<PcRoleUser> {


    List<PcRoleUser> queryPcRoleUsers(@Param("entity") PcRoleUser pcRoleUser);

    /**
    * 分页查询 pcRoleUser
    *
    */
    IPage<PcRoleUser> queryPcRoleUsersPaged(CyPageInfo cyPageInfo,@Param("entity") PcRoleUser pcRoleUser);

    //新增
    int insertPcRoleUser(PcRoleUser pcRoleUser);

    /**
     * 根据条件删除
     * @param pcRoleId
     * @return
     */
    int deleteByCondition(Integer pcRoleId);

    int updateByUserId(PcRoleUser pcRoleUser);

    //批量删除
    int deleteBatch( List<PcRoleUser> pcRoleUserList);
}

