package org.rcisoft.pc.pcroleuser.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年4月10日 下午4:20:18.
*/
@Data
@TableName("pc_role_user")
public class PcRoleUser  extends CyIdIncreEntity<PcRoleUser> {


     /**
     * @desc 前台角色id
     * @column pc_role_id
     * @default
     */
     @Excel(name = "前台角色id", orderNum = "0", width = 20)
     private Integer pcRoleId;

     /**
     * @desc 用户id
     * @column user_id
     * @default
     */
     @Excel(name = "用户id", orderNum = "1", width = 20)
     private Integer userId;

     //角色idlist
     @TableField(exist = false)
     private List<Integer> roleIds;

     //用户idList
     @TableField(exist = false)
     private String userIds;

     @TableField(exist = false)
     private Integer roleId;


}

