package org.rcisoft.pc.statistics.studentStatistics.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;

@Data
public class StudentStatisticsInformationDTO implements Serializable {

	@ApiModelProperty("点击用户id,必填")
	private Integer businessId;

	@ApiModelProperty("计划课程总数点击为true，否则为false，必填")
	private Boolean total;

	@ApiModelProperty("学习中课程数点击为true，否则为false，必填")
	private Boolean learning;

	@ApiModelProperty("已学完课程数点击为true，否则为false，必填")
	private Boolean finish;

	@ApiModelProperty("未开始课程数点击为true，否则为false，必填")
	private Boolean notStart;

	@ApiModelProperty("参与考核课程数点击为true，否则为false，必填")
	private Boolean examedNumber;

	@ApiModelProperty("未考核课程数点击为true，否则为false，选填")
	private Boolean notExamedNumber;

	//分页参数-每页条数
	@ApiModelProperty("分页查询参数-每页条数，必填")
	private Integer rows;

	//分页参数-当前页数
	@ApiModelProperty("分页查询参数-查询页数，必填")
	private Integer page;

}
