package org.rcisoft.business.auditlogs.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.auditlogs.entity.AuditLogs;
import org.rcisoft.business.blesson.entity.BLesson;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created with cy on 2024年8月8日 下午6:35:03.
 */

public interface AuditLogsRepository extends CyBaseMapper<AuditLogs> {


    List<AuditLogs> queryAuditLogss(@Param("entity") AuditLogs auditLogs);

    /**
     * 分页查询 auditLogs
     */
    IPage<AuditLogs> queryAuditLogssPaged(CyPageInfo cyPageInfo, @Param("entity") AuditLogs auditLogs);

    IPage<AuditLogs> selectByLessonId(CyPageInfo<BLesson> paginationUtility, @Param("businessId") String businessId);
}

