package org.rcisoft.business.bdirection.dao;

import org.apache.ibatis.annotations.Insert;
import org.rcisoft.business.blesson.entity.BLessonDirection;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.business.bdirection.entity.BDirection;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年3月25日 上午10:46:10.
*/

public interface BDirectionRepository extends CyBaseMapper<BDirection> {


    List<BDirection> queryBDirections(@Param("entity") BDirection bDirection);

    /**
    * 分页查询 bDirection
    *
    */
    IPage<BDirection> queryBDirectionsPaged(CyPageInfo cyPageInfo,@Param("entity") BDirection bDirection);

    @Select("<script>select * from tea_direction where del_flag != 1 and flag = 1</script>")
    @ResultMap(value = "BaseResultMap")
    List<BDirection> queryDirectionsList();

    @Insert("insert into tea_lesson_direction (business_id,direction_id,sl_id,lession_id) values (#{businessId},#{directionId},#{slId},#{lessionId})")
    int insertBLessonDirection(BLessonDirection bDirection);
}

