package org.rcisoft.business.blesson.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class Examine {

	@ApiModelProperty("课程id")
	private String businessId;
	@ApiModelProperty("课程名称")
	private String lessonName;
	@ApiModelProperty("试题数量")
	private Integer testNumber;
	@ApiModelProperty("总分")
	private Integer full;
	@ApiModelProperty("及格分数")
	private Integer line;
	@ApiModelProperty("参与考核人数")
	private Integer participant;
	@ApiModelProperty("平均分")
	private Double avg;
	@ApiModelProperty("最高分")
	private Integer max;
	@ApiModelProperty("最低分")
	private Integer min;
	@ApiModelProperty("满分人数")
	private Integer fullNumber;
	@ApiModelProperty("满分人数占比")
	private Double fullScale;
	@ApiModelProperty("及格人数")
	private Integer passNumber;
	@ApiModelProperty("及格人数占比")
	private Double passScale;
}
