package org.rcisoft.business.blesson.entity;

import lombok.Data;

/**
 * @Classname myGroupStatisticsVO
 * @Description 我的小组统计视图层对象
 * @Date 2024/4/17 11:09
 * @Created by Dawn
 */
@Data
public class MyGroupStatisticsVO {
    // 我的小组-学员视图 字段
    /**
     * 用户id
     */
    private transient String userId;

    /**
     * 用户名称
     */
    private transient String userName;

    /**
     * 手机号
     */
    private transient String phone;

    /**
     * 角色id
     */
    private transient String characterIds;

    /**
     * 角色名称
     */
    private transient String characterNames;

    /**
     * 计划课程总数
     */
    private transient String plannedCourseNum;

    /**
     * 学习中课程数
     */
    private transient String learningCourseNum;

    /**
     * 已完成课程数
     */
    private transient String learnedCourseNum;

    /**
     * 未开始课程数
     */
    private transient String noStartedCourseNum;

    /**
     * 参与考核课程数
     */
    private transient String beAssessingCourseNum;

    /**
     * 未考核课程数
     */
    private transient String noAssessedCourseNum;

    // 我的小组-课程视图 字段
    /**
     * 课程id
     */
    private transient String lessonId;

    /**
     * 课程名称
     */
    private transient String lessonName;

    /**
     * 课时数
     */
    private transient String classHour;

    /**
     * 课程满分
     */
    private transient String fullGrade;

    /**
     * 及格线
     */
    private transient String passGrade;

    /**
     * 学习总人数
     */
    private transient String totalLearnerNum;

    /**
     * 未开始人数
     */
    private transient String noLearnedNum;

    /**
     * 学习中人数
     */
    private transient String learningNum;

    /**
     * 学习完成人数
     */
    private transient String learnedNum;

    /**
     * 参与考核人数
     */
    private transient String beAssessingNum;

    /**
     * 是否需要考核
     */
    private transient String isAppraisal;
}
