package org.rcisoft.business.blesson.util;

import org.apache.commons.lang3.StringUtils;
import org.rcisoft.business.blesson.vo.JobClassifyVO;
import org.rcisoft.business.blesson.vo.TecClassifyVO;
import org.rcisoft.sys.dictionary.entity.DictData;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

public class TecClassifyString {
    //私有构造方法
    private TecClassifyString() {
    }

    //获取技术分布
    public static Map<String, Integer> stringToMap(List<String> resc) {
        Map<String, Integer> map = new HashMap();
        for (String s : resc) {
            if (StringUtils.isNotBlank(s)){
                for (int i = 0; i < s.length(); i++) {
                    String temp = "";
                    while (i < s.length() && s.charAt(i) != ',') {
                        temp += s.charAt(i);
                        i++;
                    }
                    map.put(temp, map.getOrDefault(temp, 0) + 1);
                }
            }
        }
        return map;
    }

    public static Map<String, Integer> mapToJobClassifyVO(Map<String, Integer> map, List<DictData> jobClassifyList) {
        Map<String, Integer> mapVo = new HashMap<>();
        Set set = map.keySet();
        //修改map中key值
        for (Object key : set) {
            for (DictData dictData : jobClassifyList) {
                if (key.toString().trim().contains(dictData.getDictValue().trim())) {
                    mapVo.put(dictData.getDictLabel(), map.get(key));
                    break;
                }
            }
        }
        return mapVo;
    }
}
