package org.rcisoft.business.cmsdevelopment.dao;

import org.rcisoft.business.cmsdevelopment.entity.CmsDevelopment;
import org.rcisoft.core.mapper.CyBaseMapper;

import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年3月25日 下午7:55:33.
*/

public interface CmsDevelopmentRepository extends CyBaseMapper<CmsDevelopment> {


    List<CmsDevelopment> queryCmsDevelopments(@Param("entity") CmsDevelopment cmsDevelopment);

    /**
    * 分页查询 cmsDevelopment
    *
    */
    IPage<CmsDevelopment> queryCmsDevelopmentsPaged(CyPageInfo cyPageInfo,@Param("entity") CmsDevelopment cmsDevelopment);

    CmsDevelopment selectByIdWithUrl(@Param("businessId")int id);
}

