package org.rcisoft.business.cmsproject.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import org.rcisoft.core.entity.CyIdEntity;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
* Created with cy on 2024年3月25日 下午5:57:59.
 * @author wangFeilong
 */
@Data
@TableName("cms_project")
public class CmsProject  extends CyIdIncreEntity<CmsProject> {



     /**
     * @desc 标题
     * @column title
     * @default 
     */
     @Excel(name = "标题", orderNum = "0", width = 20)
     private String title;

     /**
     * @desc 单位
     * @column unit
     * @default 
     */
     @Excel(name = "单位", orderNum = "1", width = 20)
     private String unit;

     /**
     * @desc 内容
     * @column details
     * @default 
     */
     @Excel(name = "内容", orderNum = "2", width = 20)
     private String details;

     /**
     * @desc 排序
     * @column weight
     * @default 
     */
     @Excel(name = "排序", orderNum = "3", width = 20)
     private Integer weight;

     /**
     * @desc 封面
     * @column picture_id
     * @default 
     */
     @Excel(name = "封面", orderNum = "4", width = 20)
     private String pictureId;

     @TableField(exist = false)
        private String path;
     @TableField(exist = false)
        private String createByName;


}

