package org.rcisoft.business.pcfeedexamflag.dao;

import org.rcisoft.business.teaexamexaminationpaper.entity.TeaExamExaminationPaper;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.business.pcfeedexamflag.entity.PcFeedExamFlag;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * Created with cy on 2024年4月13日 下午4:05:03.
 */

public interface PcFeedExamFlagRepository extends CyBaseMapper<PcFeedExamFlag> {


    List<PcFeedExamFlag> queryPcFeedExamFlags(@Param("entity") PcFeedExamFlag pcFeedExamFlag);

    /**
     * 分页查询 pcFeedExamFlag
     */
    IPage<PcFeedExamFlag> queryPcFeedExamFlagsPaged(CyPageInfo cyPageInfo, @Param("entity") PcFeedExamFlag pcFeedExamFlag);

    void examCompleted(@Param("teaExamExaminationPaper") TeaExamExaminationPaper teaExamExaminationPaper);
}

