package org.rcisoft.business.pclessonbrowse.dao;

import org.rcisoft.business.blesson.entity.BLesson;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.business.pclessonbrowse.entity.PcLessonBrowse;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年4月13日 下午1:12:55.
*/

public interface PcLessonBrowseRepository extends CyBaseMapper<PcLessonBrowse> {


    List<PcLessonBrowse> queryPcLessonBrowses(@Param("entity") PcLessonBrowse pcLessonBrowse);

    /**
    * 分页查询 pcLessonBrowse
    *
    */
    IPage<BLesson> queryPcLessonBrowsesPaged(CyPageInfo cyPageInfo, @Param("entity") PcLessonBrowse pcLessonBrowse);
}

