package org.rcisoft.business.pclessonbrowse.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.rcisoft.core.entity.CyIdEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.annotation.TableName;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
* Created with cy on 2024年4月13日 下午1:12:55.
*/
@Data
@TableName("pc_lesson_browse")
public class PcLessonBrowse  extends CyIdIncreEntity<PcLessonBrowse> {

     /**
     * @desc 用户id
     * @column user_id
     * @default
     */
     @Excel(name = "用户id", orderNum = "0", width = 20)
     private Integer userId;

     /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
     @Excel(name = "课程id", orderNum = "1", width = 20)
     private String lessonId;

     /**
      * 答题状态 0 未答题 1 已答题 2考试完成
      */
     private  String status;

     /**
      * page
      * */
     @TableField(exist = false)
     private  Integer page;
     @TableField(exist = false)
     private  Integer pageSize;

}

