package org.rcisoft.business.pclessonevaluation.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.business.pclessonevaluation.entity.PcLessonEvaluation;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年4月17日 下午8:36:05.
*/

public interface PcLessonEvaluationRepository extends CyBaseMapper<PcLessonEvaluation> {


    List<PcLessonEvaluation> queryPcLessonEvaluations(@Param("entity") PcLessonEvaluation pcLessonEvaluation);

    /**
    * 分页查询 pcLessonEvaluation
    *
    */
    IPage<PcLessonEvaluation> queryPcLessonEvaluationsPaged(CyPageInfo cyPageInfo,@Param("entity") PcLessonEvaluation pcLessonEvaluation);
    /**
     * 分页查询 pcLessonEvaluation(含匿名)
     *
     */

    IPage<PcLessonEvaluation> queryLessonEvaluationsPaged(CyPageInfo<PcLessonEvaluation> paginationUtility,@Param("entity") PcLessonEvaluation pcLessonEvaluation);



    /**
     * 根据lessonId查询评论
     *
     */
    List<PcLessonEvaluation> queryPcLessonEvaluationsById(@Param("lessonId") String lessonId );

}

