package org.rcisoft.business.pclessonfavorite.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.blesson.entity.BLesson;
import org.rcisoft.business.pclessonfavorite.entity.PcLessonFavorite;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年4月12日 下午1:09:06.
 */
public interface PcLessonFavoriteService {

    /**
    * 保存 pc_用户收藏课程表

    * @param pcLessonFavorite
    * @return
    */
    CyPersistModel persist(PcLessonFavorite pcLessonFavorite);

    /**
    * 删除 pc_用户收藏课程表

    * @param pcLessonFavorite
    * @return
    */
    CyPersistModel remove(PcLessonFavorite pcLessonFavorite);

    /**
    * 修改 pc_用户收藏课程表

    * @param pcLessonFavorite
    * @return
    */
    CyPersistModel merge(PcLessonFavorite pcLessonFavorite);

    /**
    * 根据id查询 pc_用户收藏课程表

    * @param id
    * @return
    */
    PcLessonFavorite findById(int id);

    /**
    * 分页查询 pc_用户收藏课程表

    * @param pcLessonFavorite
    * @return
    */
    IPage<BLesson> findAllByPagination(CyPageInfo<PcLessonFavorite> paginationUtility,
                                        PcLessonFavorite pcLessonFavorite);


    /**
    * 查询list pc_用户收藏课程表

    * @param pcLessonFavorite
    * @return
    */
    List<PcLessonFavorite> findAll(PcLessonFavorite pcLessonFavorite);


    /**
    * 导出pc_用户收藏课程表

    * @return
    */
    List<PcLessonFavorite> export(PcLessonFavorite pcLessonFavorite);

    CyPersistModel addOrDelete(PcLessonFavorite pcLessonFavorite);
}
