package org.rcisoft.business.pclessonviews.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年4月12日 下午1:09:06.
*/
@Data
@TableName("pc_lesson_views")
public class PcLessonViews  extends CyIdIncreEntity<PcLessonViews> {


     /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
     @Excel(name = "课程id", orderNum = "0", width = 20)
     private String lessonId;

     /**
     * @desc 课程浏览次数
     * @column lesson_views
     * @default
     */
     @Excel(name = "课程浏览次数", orderNum = "1", width = 20)
     private Integer lessonViews;

     /**
      * 类型 (0:课程 1:新闻)
      */
     private Integer type;


}

