package org.rcisoft.business.pcmanage.enums;

import org.rcisoft.core.result.CyResExcEnum;

public enum PCManageTypeEnums implements CyResExcEnum {
    /**
     * 到期提示
     */
    EXPIRATION_REMINDER(1, "到期提示"),
    /**
     * 试用提示
     */
    TRIAL_TIPS(2, "试用提示"),;

    private Integer code;
    private String message;

    public Integer getCode() {
        return this.code;
    }

    public String getMessage() {
        return this.message;
    }

    private PCManageTypeEnums() {
    }

    private PCManageTypeEnums(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}
