package org.rcisoft.business.postblesson.dto;

import lombok.Data;
import org.rcisoft.business.postblesson.entity.PostTeaExamOptions;
import org.rcisoft.business.postblesson.entity.PostTeaExamQuestions;
import org.rcisoft.business.teaexamoptions.entity.TeaExamOptions;
import org.rcisoft.business.teaexamquestions.entity.TeaExamQuestions;

import java.util.List;

/**
 * @Author: gy
 * @Date: 2024/3/29 09:47
 * @Description:
 */
@Data
public class PostExamQuestionDto extends PostTeaExamQuestions {

    // 选项list
    private List<PostTeaExamOptions> optionsList;

    //是否正确 1正确 0错误
    private String isFalse;

    //记录id
    private Integer recordId;

    //获得分值
    private Integer getScore;

    //用户填写的答案
    private String uanswer;
    private String answerNew;

}
