package org.rcisoft.business.postblesson.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
* Created with cy on 2024年4月13日 下午1:12:55.
*/
@Data
@TableName("pc_post_lesson_browse")
public class PostPcLessonBrowse extends CyIdIncreEntity<PostPcLessonBrowse> {

     /**
     * @desc 用户id
     * @column user_id
     * @default
     */
     @Excel(name = "用户id", orderNum = "0", width = 20)
     private Integer userId;

     /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
     @Excel(name = "课程id", orderNum = "1", width = 20)
     private String lessonId;

     /**
      * 答题状态 0 未答题 1 已答题 2考试完成 3题目移除
      */
     private  String status;


}

