package org.rcisoft.business.postblesson.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
 * @FileName PostTeaExamOptions
 * @Description
 * @Author 牛虎林
 * @date 2024-05-15
 **/
@Data
@TableName("tea_post_exam_options")
public class PostTeaExamOptions extends CyIdIncreEntity<PostTeaExamOptions> {


    /**
     * @desc 选择内容
     * @column details
     * @default
     */
    @Excel(name = "选择内容", orderNum = "0", width = 20)
    private String details;

    /**
     * @desc 试题id
     * @column questions_id
     * @default
     */
    @Excel(name = "试题id", orderNum = "1", width = 20)
    private Integer questionsId;

    /**
     * @desc 选项类型
     * @column type
     * @default
     */
    @Excel(name = "选项类型", orderNum = "2", width = 20)
    private String type;
}
