package org.rcisoft.business.postblesson.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdEntity;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
* Created with cy on 2024年4月18日 下午2:07:57.
*/
@Data
@TableName("tea_post_exam_questions_examination")
public class PostTeaExamQuestionsExamination extends CyIdIncreEntity<PostTeaExamQuestionsExamination> {


     /**
     * @desc 试题id
     * @column questions_id
     * @default
     */
     @Excel(name = "试题id", orderNum = "0", width = 20)
     private Integer questionsId;

     /**
     * @desc 试卷id
     * @column examination_id
     * @default
     */
     @Excel(name = "试卷id", orderNum = "1", width = 20)
     private Integer examinationId;

     /**
     * @desc 得分
     * @column score
     * @default
     */
     @Excel(name = "得分", orderNum = "2", width = 20)
     private Integer score;

     /**
     * @desc 填写的答案
     * @column answer
     * @default
     */
     @Excel(name = "填写的答案", orderNum = "3", width = 20)
     private String answer;
     /**
      * 答题记录id
      */
     private  Integer  teaPaperId;



}

