package org.rcisoft.business.postblesson.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @FileName DifficultyEnum
 * @Description
 * @Author 牛虎林
 * @date 2024-05-17
 **/
@Getter
@AllArgsConstructor
public enum DifficultyEnum {

    /**
     *   简单
     */
    EASY(1, "简单"),

    /**
     * 困难
     */
    HARD(3,"困难"),
    /**
     * 一般
     */
    NORMAL(2,"一般");

    private  Integer code;
    private  String name;

    /**
     * 根据name 获取code
     */
    public static Integer getCode(String name) {
        for (DifficultyEnum difficultyEnum : DifficultyEnum.values()) {
            if (difficultyEnum.getName().equals(name)) {
                return difficultyEnum.getCode();
            }
        }
        return null;
    }
}
