package org.rcisoft.business.postblesson.service;


import org.rcisoft.business.postblesson.entity.PostPcLessonBrowse;

import java.util.List;

/**
 * @FileName PcLessonBrowseService
 * @Description
 * @Author 牛虎林
 * @date 2024-05-15
 **/

public interface PostPcLessonBrowseService {

    /**
     * 用户批量添加题库
     */
    Boolean addSystemQuestion(List<PostPcLessonBrowse> pcLessonBrowseList);

    /**
     * 修改用户题库状态
     * @param userIdList
     * @param status
     * @return
     */
    Boolean updateSystemQuestion(List<Integer> userIdList, String  status,String lessonId);

    /**
     * 根据课程id和状态用户id 集合查询有没有删除的试题
     */
    Boolean isExist(List<Integer> userIdList, String  status,String lessonId);
}
