package org.rcisoft.business.sysLecturer.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.sysLecturer.entity.CmsLecturer;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created with cy on 2024年3月28日 下午1:39:55.
 */

public interface CmsLecturerRepository extends CyBaseMapper<CmsLecturer> {


    List<CmsLecturer> queryCmsLecturers(@Param("entity") CmsLecturer cmsLecturer);

    /**
     * 分页查询 cmsLecturer
     */
    IPage<CmsLecturer> queryCmsLecturersPaged(CyPageInfo cyPageInfo, @Param("entity") CmsLecturer cmsLecturer);

    CmsLecturer queryById(@Param("id") Integer id);

    CmsLecturer selectByUserId(@Param("businessId") int businessId);
}

