package org.rcisoft.business.sysdictdata.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.business.sysdictdata.entity.SysDictData;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年3月30日 下午5:22:43.
*/

public interface SysDictDataRepository extends CyBaseMapper<SysDictData> {


    List<SysDictData> querySysDictDatas(@Param("entity") SysDictData sysDictData);

    /**
    * 分页查询 sysDictData
    *
    */
    IPage<SysDictData> querySysDictDatasPaged(CyPageInfo cyPageInfo,@Param("entity") SysDictData sysDictData);
}

