package org.rcisoft.business.sysdictdata.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.rcisoft.core.entity.CyIdEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.annotation.TableName;

/**
* Created with cy on 2024年3月30日 下午5:22:43.
*/
@Data
@TableName("sys_dict_type")
public class SysDictType  extends CyIdEntity<SysDictType> {



     /**
     * @desc 字典名称
     * @column dict_name
     * @default
     */
     @Excel(name = "字典名称", orderNum = "0", width = 20)
     private String dictName;

     /**
     * @desc 字典类型
     * @column dict_type
     * @default
     */
     @Excel(name = "字典类型", orderNum = "1", width = 20)
     private String dictType;

     /**
     * @desc 父字典id
     * @column parent_id
     * @default
     */
     @Excel(name = "父字典id", orderNum = "2", width = 20)
     private Integer parentId;

     /**
     * @desc 子字典id（数据字典的code）
     * @column data_id
     * @default
     */
     @Excel(name = "子字典id（数据字典的code）", orderNum = "3", width = 20)
     private Integer dataId;

     /**
     * @desc 排序
     * @column dict_sort
     * @default
     */
     @Excel(name = "排序", orderNum = "4", width = 20)
     private String dictSort;


}

