package org.rcisoft.business.sysunit.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Exam implements Serializable {

	@ApiModelProperty("课程名称")
	private String lessonName;

	@ApiModelProperty("满分/及格线")
	private String line;

	@ApiModelProperty("登录名")
	private String userName;

	@ApiModelProperty("用户姓名")
	private String name;

	@ApiModelProperty("考核成绩（分）")
	private Integer score;

}
