package org.rcisoft.business.sysunit.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Finish implements Serializable {

	@ApiModelProperty("课程名称")
	private String lessonName;
	@ApiModelProperty("课程讲师")
	private String lessonTeacher;
	@ApiModelProperty("登录名")
	private String userName;
	@ApiModelProperty("用户姓名")
	private String name;

	@JsonFormat(
			pattern = "yyyy-MM-dd"
	)
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@ApiModelProperty("完成日期")
	private Date date;

}
