package org.rcisoft.business.sysunit.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Payed implements Serializable {

	@ApiModelProperty("课程名称")
	private String lessonName;

	@ApiModelProperty("课程讲师")
	private String lessonTeacher;

	@JsonFormat(
			pattern = "yyyy-MM-dd"
	)
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@ApiModelProperty("开始日期")
	private Date start;

	@JsonFormat(
			pattern = "yyyy-MM-dd"
	)
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@ApiModelProperty("结束日期")
	private Date end;

	@ApiModelProperty("剩余有效天数")
	private Integer day;
}
