package org.rcisoft.business.sysuser.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserView implements Serializable {

	@Excel(name = "主键ID", orderNum = "0", width = 20)
	@ApiModelProperty("businessId")
	private Integer businessId;

	@Excel(name = "姓名", orderNum = "1", width = 20)
	@ApiModelProperty("姓名")
	private String name;

	@Excel(name = "手机号", orderNum = "2", width = 20)
	@ApiModelProperty("手机号")
	private String phone;

	@Excel(name = "所属单位", orderNum = "3", width = 20)
	@ApiModelProperty("所属单位")
	private String unitName;

	@ApiModelProperty("累计完成课时数")
	private Integer lessonHour;

	@Excel(name = "计划课程总数", orderNum = "4", width = 20)
	@ApiModelProperty("计划课程总数")
	private Integer total;

	@Excel(name = "学习中课程数", orderNum = "5", width = 20)
	@ApiModelProperty("学习中课程数")
	private Integer learning;

	@Excel(name = "已学完的课程数", orderNum = "6", width = 20)
	@ApiModelProperty("已学完的课程数")
	private Integer finish;

	@Excel(name = "未开始课程数", orderNum = "7", width = 20)
	@ApiModelProperty("未开始课程数")
	private Integer notStart;

	@Excel(name = "参与考核的课程数", orderNum = "8", width = 20)
	@ApiModelProperty("参与考核的课程数")
	private Integer examedNumber;

	@Excel(name = "未考核课程数", orderNum = "9", width = 20)
	@ApiModelProperty("未考核课程数")
	private Integer notExamedNumber;

}
