package org.rcisoft.business.teaexamquestions.dao;

import org.rcisoft.business.teaexamquestions.entity.TeaExamQuestions;
import org.rcisoft.business.teatrialcourse.entity.TeaTrialCourse;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * Created with cy on 2024年3月28日 下午1:38:34.
 */

public interface TeaExamQuestionsRepository extends CyBaseMapper<TeaExamQuestions> {


    List<TeaExamQuestions> queryTeaExamQuestionss(@Param("entity") TeaExamQuestions teaExamQuestions);

    /**
     * 分页查询 teaExamQuestions
     */
    IPage<TeaExamQuestions> queryTeaExamQuestionssPaged(CyPageInfo cyPageInfo, @Param("entity") TeaExamQuestions teaExamQuestions);

    /**
     * 查询同一课程下同一题目编号的个数
     **/
    int queryNumbeSomeCourse(TeaExamQuestions teaExamQuestions);

    /**
     * 查询同一课程下同一权重的个数
     **/
    int queryNumberSomeWeiht(TeaExamQuestions teaExamQuestions);

    //批量删除
    int deleteBatch(List<TeaExamQuestions> teaExamQuestionsList);

    List<TeaExamQuestions> selectByIds(@Param("ids") List<Integer> list);
}

