package org.rcisoft.business.teaexamquestions.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.rcisoft.core.entity.CyIdEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.annotation.TableName;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
* Created with cy on 2024年3月28日 下午1:38:34.
 * @author wangFeilong
 */
@Data
@TableName("tea_exam_questions")
public class TeaExamQuestions  extends CyIdIncreEntity<TeaExamQuestions> {



     /**
     * @desc 编号
     * @column number
     * @default
     */
     @Excel(name = "编号", orderNum = "0", width = 20)
     private String number;

     /**
     * @desc 题型
     * @column question_type
     * @default
     */
     @Excel(name = "题型", orderNum = "1", width = 20)
     private Integer questionType;

     /**
     * @desc 难度
     * @column difficulty
     * @default
     */
     @Excel(name = "难度", orderNum = "2", width = 20)
     private Integer difficulty;

     /**
     * @desc 题干
     * @column question_stem
     * @default
     */
     @Excel(name = "题干", orderNum = "3", width = 20)
     private String questionStem;

     /**
     * @desc 标准答案
     * @column answer
     * @default
     */
     @Excel(name = "标准答案", orderNum = "4", width = 20)
     private String answer;


     /**
     * @desc 分数
     * @column mark
     * @default
     */
     @Excel(name = "分数", orderNum = "5", width = 20)
     private Integer mark;

     /**
     * @desc 课程id
     * @column course_id
     * @default
     */
     @Excel(name = "课程id", orderNum = "6", width = 20)
     private String courseId;

     /**
     * @desc 权重
     * @column weight
     * @default
     */
     @Excel(name = "权重", orderNum = "7", width = 20)
     private Integer weight;

}

