package org.rcisoft.business.tealessonandapplication.dao;

import org.rcisoft.business.blesson.entity.BLesson;
import org.rcisoft.business.sysuser.entity.SysUser;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.business.tealessonandapplication.entity.TeaLessonAndApplication;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年4月3日 上午10:08:10.
*/

public interface TeaLessonAndApplicationRepository extends CyBaseMapper<TeaLessonAndApplication> {


    List<TeaLessonAndApplication> queryTeaLessonAndApplications(@Param("entity") TeaLessonAndApplication teaLessonAndApplication);

    /**
    * 分页查询 teaLessonAndApplication
    *
    */
    IPage<TeaLessonAndApplication> queryTeaLessonAndApplicationsPaged(CyPageInfo cyPageInfo,@Param("entity") TeaLessonAndApplication teaLessonAndApplication);

    /**
     * 根据申请获取该申请的课程门数据
     * **/
    Integer getCourseNumberByApplicationId(@Param("applicationId") Integer applicationId);

    /**
     * 当前提交的课程信息 根据当前登录用户信息
     * @param sysUser
     * @return
     */
    List<BLesson> selectsubmitByUser(@Param("entity")SysUser sysUser);
}

