package org.rcisoft.business.tealessonandapplication.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年4月3日 上午10:08:10.
*/
@Data
@TableName("tea_lesson_and_application")
public class TeaLessonAndApplication {

     /**
      * @desc 主键
      * @column business_id
      * @default
      */
     private Integer businessId;

     /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
     @Excel(name = "课程id", orderNum = "0", width = 20)
     private String lessonId;

     /**
     * @desc 申请id
     * @column application
     * @default
     */
     @Excel(name = "申请id", orderNum = "1", width = 20)
     private Integer applicationId;


}

