package org.rcisoft.business.teatrialcourse.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;
import org.rcisoft.business.teatrialcourse.entity.TeaTrialCourse;

/**
 * @author 11528
 * 擦汗寻
 */
@Data
public class TrialCourseQueryDto {
    /**
     * @desc 申请人id
     * @column applicant
     * @default
     */
    private Integer applicant;

    /**
     * @desc 申请单位id
     * @column applicant_unit
     * @default
     */
    private Integer applicantUnit;
    /**
     * @desc 课程类型
     * @default
     */
    private String lessonType;
    /**
     * @desc 课程类型
     * @default
     */
    private String lessonTypeSchool;
    /**
     * @desc 课程方案
     * @default
     */
    private String classPlan;
    /**
     * @desc 难度等级
     * @default
     */
    private String difficultyClassify;
    /**
     * 开课类型 2企业 1个人
     */
    private Integer applicantType;

    /**
     * 岗位分类
     * **/
    private String jobClassification;

    /**
     * 技术分类
     * **/
    private String technicalClassification;

    /**
     * 课程名称
     * **/
    private String lessonName;

    /**
     * @desc 课程方案
     * @default
     */
    private String classPlanSchool;
    /**
     * 技术分类
     * **/
    private String tecClassifySchool;

    /**
     * 智联课堂分类
     */
    private String intelligentClassroom;
    /**
     * 企业课程维度
     */
    private String enterpriseCourseDimensions;
    /**
     * 企业课程分类
     */
    private String courseType;
    /**
     * 院校课程分类
     */
    private String courseTypeC;

    /**
     * @desc 岗位分类
     * @column job_classify
     * @default
     */
    private String jobClassify;
}
