package org.rcisoft.openapi.iaminstitution.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.openapi.iaminstitution.entity.IamInstitution;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年7月19日 下午1:57:38.
*/

public interface IamInstitutionRepository extends CyBaseMapper<IamInstitution> {


    List<IamInstitution> queryIamInstitutions(@Param("entity") IamInstitution iamInstitution);

    /**
    * 分页查询 iamInstitution
    *
    */
    IPage<IamInstitution> queryIamInstitutionsPaged(CyPageInfo cyPageInfo,@Param("entity") IamInstitution iamInstitution);

    /**
     * 根据服务器 ip 查询 机构信息
     * @param ip
     * @return
     */
    IamInstitution findByIp(@Param("ip") String ip);
}

