package org.rcisoft.openapi.openapilog.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.openapi.openapilog.entity.OpenApiLog;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年7月19日 下午1:57:38.
*/

public interface OpenApiLogRepository extends CyBaseMapper<OpenApiLog> {


    List<OpenApiLog> queryOpenApiLogs(@Param("entity") OpenApiLog openApiLog);

    /**
    * 分页查询 openApiLog
    *
    */
    IPage<OpenApiLog> queryOpenApiLogsPaged(CyPageInfo cyPageInfo,@Param("entity") OpenApiLog openApiLog);
}

