package org.rcisoft.pc.pcgroup.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.CyIdEntity;

/**
 * Created with cy on 2024年3月23日 上午9:54:37.
 * @author 11528
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BLessonDTO extends CyIdEntity<BLessonDTO> {

    private static final long serialVersionUID = -4327021174023243830L;

    /**
     * @desc 课程名称
     * @column lesson_name
     * @default
     */
    @ApiModelProperty(name = "课程名称")
    private String lessonName;
    @ApiModelProperty(name = "考核人数")
    private Integer assessorsCount;
    @ApiModelProperty(name = "最高分")
    private Integer maxScore;
    @ApiModelProperty(name = "最低分")
    private Integer minScore;
    @ApiModelProperty(name = "平均分")
    private Integer avgScore;
    @ApiModelProperty(name = "满分人数")
    private Integer statusCount1;
    @ApiModelProperty(name = "及格人数")
    private Integer statusCount2;
    @ApiModelProperty(name = "试题数")
    private Integer questionsCount;
    @ApiModelProperty(name = "总分")
    private String totalScore;
    @ApiModelProperty(name = "及格分数")
    private String passingGrade;
}

