package org.rcisoft.pc.pcgroup.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.CyIdEntity;

/**
 * Created with cy on 2024年3月23日 上午9:54:37.
 *
 * @author 11528
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BLessonPersonDTO extends CyIdEntity<BLessonPersonDTO> {


    private static final long serialVersionUID = -4327021174023243830L;

    @ApiModelProperty(name = "分数")
    private Integer score;

    @ApiModelProperty(name = "答题人ID")
    private Integer answerId;

    @ApiModelProperty(name = "考试时间")
    private Date fillingTime;
    @ApiModelProperty(name = "课程ID", value = "courseId", required = true, dataType = "Integer")
    private String courseId;
    @ApiModelProperty(name = "登录名")
    private String username;
    @ApiModelProperty(name = "用户姓名")
    private String nickName;
    @ApiModelProperty(name = "职位")
    private String position;
    @ApiModelProperty(name = "小组")
    private String groupName;
    @ApiModelProperty(name = "课程ID")
    private String lessonId;
    @ApiModelProperty(name = "部门ID")
    private String deptId;
}

