package org.rcisoft.pc.pcgroup.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.CyIdEntity;

import java.util.Date;
/**
 * Created with cy on 2024年3月23日 上午9:54:37.
 * @author 11528
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class GroupCourseDTO extends CyIdEntity<GroupCourseDTO> {


    private static final long serialVersionUID = -4327021174023243830L;
    @ApiModelProperty(name = "小组ID")
    private String groupId;
    @ApiModelProperty(name = "课程名称")
    private String lessonName;
    @ApiModelProperty(name = "课程讲师")
    private String teacherName;
    @ApiModelProperty(name = "开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date beginDate;
    @ApiModelProperty(name = "结束日期 ")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endDate;
    @ApiModelProperty(name = "剩余有效天数")
    private Integer effectiveDays;
}

