package org.rcisoft.pc.pcgroup.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.CyIdEntity;

/**
 * Created with cy on 2024年4月10日 下午4:20:18.
 * @author 11528
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PcGroupDTO extends CyIdEntity<PcGroupDTO> {


    private static final long serialVersionUID = -4327021174023243830L;
    /**
     * 小组ID
     */
    private String groupId;
    /**
     * @desc 小组名称
     * @column name
     * @default
     */
    private String name;
    /**
     * @desc 所属单位
     * @column unit
     * @default
     */
    private String unit;

    /**
     * 小组人数
     */
    private Integer personCount;

    /**
     * 学习课程数
     */
    private Integer courseCount;

    /**
     * 完成课时人次
     */
    private Integer statusCount1;

    /**
     * 未完成课时人次
     */
    private Integer statusCount2;

    /**
     * 必修考核人次
     */
    private Integer statusCount3;
}

