package org.rcisoft.pc.pcgroupuser.dao;

import io.swagger.models.auth.In;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.pc.pcgroupuser.entity.PcGroupUser;
import org.rcisoft.pc.pcroleuser.entity.PcRoleUser;

import java.util.List;

/**
* Created with cy on 2024年4月10日 下午4:20:18.
*/

public interface PcGroupUserRepository extends CyBaseMapper<PcGroupUser> {


    List<PcGroupUser> queryPcGroupUsers(@Param("entity") PcGroupUser pcGroupUser);

    /**
    * 分页查询 pcGroupUser
    *
    */
    IPage<PcGroupUser> queryPcGroupUsersPaged(CyPageInfo cyPageInfo,@Param("entity") PcGroupUser pcGroupUser);
    //新增方法
    int insertPcGroupUser(PcGroupUser pcGroupUser);

    //根据groupId删除小组学员关联表
    int deleteByGroupId(PcGroupUser pcGroupUser);

    //根据userId获取关联表的数据
    List<PcGroupUser> getByUserId(Integer userId);
}

