package org.rcisoft.pc.pcgroupuser.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.core.entity.CyIdNotDataEntity;

/**
* Created with cy on 2024年4月10日 下午4:20:18.
*/
@Data
@TableName("pc_group_user")
public class PcGroupUser  extends CyIdIncreEntity<PcGroupUser> {


     /**
     * @desc 小组id
     * @column group_id
     * @default 
     */
     @Excel(name = "小组id", orderNum = "0", width = 20)
     private Integer groupId;

     /**
     * @desc 用户表id
     * @column user_id
     * @default 
     */
     @Excel(name = "用户表id", orderNum = "1", width = 20)
     private Integer userId;

     /**
     * @desc 是否为组长(0:否1:是)
     * @column type
     * @default 
     */
     @Excel(name = "是否为组长(0:否1:是)", orderNum = "2", width = 20)
     private Integer type;


}

