package org.rcisoft.pc.pcrole.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.pc.pcrole.entity.PcRole;
import org.rcisoft.pc.pcrolelesson.entity.PcRoleLesson;

import java.util.List;

/**
* Created with cy on 2024年4月9日 上午10:32:58.
*/

public interface PcRoleRepository extends CyBaseMapper<PcRole> {


    List<PcRole> queryPcRoles(@Param("entity") PcRole pcRole);

    /**
    * 分页查询 pcRole
    *
    */
    IPage<PcRole> queryPcRolesPaged(CyPageInfo cyPageInfo,@Param("entity") PcRole pcRole);
    //角色名称验重
    int queryRoleName(String name ,int unit);

    //根据id查询详情
    PcRole queryPcRoleById(int id);
    //批量删除中间表数据
    int deleteBatchRole( List<PcRoleLesson> pcRoleLessonList);
}

