package org.rcisoft.pc.pcrole.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
* Created with cy on 2024年4月9日 上午10:32:38.
*/
@Data
@TableName("pc_role")
public class PcRole  extends CyIdIncreEntity<PcRole> {


     /**
     * @desc 角色名称
     * @column name
     * @default
     */
     @Excel(name = "角色名称", orderNum = "0", width = 20)
     private String name;

     /**
     * @desc 所属单位
     * @column unit
     * @default
     */
     @Excel(name = "所属单位", orderNum = "1", width = 20)
     private Integer unit;
     //课程名称
     @TableField(exist = false)
     private String lessonNames;
     //课程id集合
//     @TableField(exist = false)
//        private List<String> lessonIds;

     @TableField(exist = false)
     private String lessonIdList;
     @TableField(exist = false)
     private List<Map<String, String>> lessonList;

     private Integer userCount;

}

