package org.rcisoft.pc.pcrolelesson.dao;


import org.rcisoft.pc.pcrolelesson.dto.PcRoleBlessonDTO;
import org.rcisoft.pc.pcrolelesson.entity.PcRoleLesson;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年4月9日 下午1:42:43.
*/

public interface PcRoleLessonRepository extends CyBaseMapper<PcRoleLesson> {


    List<PcRoleLesson> queryPcRoleLessons(@Param("entity") PcRoleLesson pcRoleLesson);

    /**
    * 分页查询 pcRoleLesson
    *
    */
    IPage<PcRoleLesson> queryPcRoleLessonsPaged(CyPageInfo cyPageInfo,@Param("entity") PcRoleLesson pcRoleLesson);

    //新增
    int insertPcRoleLesson(PcRoleLesson pcRoleLesson);

    //批量删除
    int deleteBatch( List<PcRoleLesson> pcRoleLessonList);

    /**
     * 根据条件查询当前角色课程信息表
     * @param dto
     * @return
     */
    CyPageInfo<PcRoleBlessonDTO> queryCourseByRoleId(CyPageInfo cyPageInfo,@Param("dto") PcRoleBlessonDTO dto);

    IPage<PcRoleBlessonDTO> queryRole(CyPageInfo cyPageInfo, @Param("dto") PcRoleBlessonDTO dto);
}

