package org.rcisoft.pc.statistics.studentStatistics.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class StudentStatisticsDTO implements Serializable {

	//姓名
	@ApiModelProperty("查询时的姓名，可为空")
	private String name;

	//小组
	@ApiModelProperty("查询时的小组名，可为空")
	private String groupName;

	//分页参数-每页条数
	@ApiModelProperty("分页查询参数-每页条数，必填")
	private Integer rows;

	//分页参数-当前页数
	@ApiModelProperty("分页查询参数-查询页数，必填")
	private Integer page;


}
