package org.rcisoft.pc.statistics.studentStatistics.entity.pojo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Builder;
import lombok.Data;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import org.rcisoft.pc.statistics.lessonStatistics.entity.LessonStatistics;

@Data
public class StudentStatistics {

	@Excel(name = "序号", orderNum = "0", width = 20)
	private Integer businessId;

	@Excel(name = "姓名", orderNum = "1", width = 20)
	private String name;

	@Excel(name = "手机号", orderNum = "2", width = 20)
	private String phone;

	@Excel(name = "小组", orderNum = "3", width = 20)
	private String groupName;

	@Excel(name = "计划课程总数", orderNum = "4", width = 20)
	private Integer total;

	@Excel(name = "学习中课程数", orderNum = "5", width = 20)
	private Integer learning;

	@Excel(name = "已学完的课程数", orderNum = "6", width = 20)
	private Integer finish;

	@Excel(name = "未开始课程数", orderNum = "7", width = 20)
	private Integer notStart;

	@Excel(name = "参与考核的课程数", orderNum = "8", width = 20)
	private Integer examedNumber;

	@Excel(name = "未考核课程数", orderNum = "9", width = 20)
	private Integer notExamedNumber;

}
